summaryrefslogtreecommitdiffstats
path: root/tests/qemu-iotests-quick.sh
diff options
context:
space:
mode:
authorKevin Wolf <kwolf@redhat.com>2012-03-08 12:29:00 +0100
committerKevin Wolf <kwolf@redhat.com>2012-03-12 15:14:07 +0100
commit8959449bb9b16e3b19cf35823d3358eb7d461210 (patch)
tree606f2c4f3e00adf97ebf8b5d10492b781a3a276c /tests/qemu-iotests-quick.sh
parent3811f63acdc0584e053d09f7070063ed0a9bafe6 (diff)
downloadhqemu-8959449bb9b16e3b19cf35823d3358eb7d461210.zip
hqemu-8959449bb9b16e3b19cf35823d3358eb7d461210.tar.gz
make check: Add qemu-iotests subset
Run the 'quick' group from qemu-iotests during 'make check'. Signed-off-by: Kevin Wolf <kwolf@redhat.com>
Diffstat (limited to 'tests/qemu-iotests-quick.sh')
-rwxr-xr-xtests/qemu-iotests-quick.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/qemu-iotests-quick.sh b/tests/qemu-iotests-quick.sh
new file mode 100755
index 0000000..cf90de0
--- /dev/null
+++ b/tests/qemu-iotests-quick.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# We don't know which of the system emulator binaries there is (or if there is
+# any at all), so the 'quick' group doesn't contain any tests that require
+# running qemu proper. Assign a fake binary name so that qemu-iotests doesn't
+# complain about the missing binary.
+export QEMU_PROG="this_should_be_unused"
+
+export QEMU_IMG_PROG="$(pwd)/qemu-img"
+export QEMU_IO_PROG="$(pwd)/qemu-io"
+
+cd $SRC_PATH/tests/qemu-iotests
+
+ret=0
+./check -T -nocache -qcow2 -g quick || ret=1
+
+exit $ret
OpenPOWER on IntegriCloud